
Redmine - Defect #29291

NoMethodError: undefined method `migrate' for Redmine::Plugin::Migrator:Class

2018-07-30 06:07 - Enziin System

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Run command:

cd plugins

bundle exec rake redmine:plugins:migrate RAILS_ENV=production

 I get the error:

NoMethodError: undefined method `migrate' for Redmine::Plugin::Migrator:Class

/home/developer/websites/redmine/lib/redmine/plugin.rb:482:in `migrate_plugin'

/home/developer/websites/redmine/lib/redmine/plugin.rb:454:in `migrate'

/home/developer/websites/redmine/lib/redmine/plugin.rb:468:in `block in migrate'

/home/developer/websites/redmine/lib/redmine/plugin.rb:467:in `each'

/home/developer/websites/redmine/lib/redmine/plugin.rb:467:in `migrate'

/home/developer/websites/redmine/lib/tasks/redmine.rake:135:in `block (3 levels) in <top (required

)>'

/usr/local/rvm/gems/ruby-2.5.1/gems/rake-12.3.1/exe/rake:27:in `<top (required)>'

/usr/local/rvm/gems/ruby-2.5.1/bin/ruby_executable_hooks:15:in `eval'

/usr/local/rvm/gems/ruby-2.5.1/bin/ruby_executable_hooks:15:in `<main>'

Tasks: TOP => redmine:plugins:migrate

(See full trace by running task with --trace)

Related issues:

Is duplicate of Redmine - Patch #28934: Support migration context for plugins Closed

History

#1 - 2018-07-30 08:12 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to Enziin System

Please see submissions before.

#2 - 2018-07-30 08:12 - Marius BĂLTEANU

- Description updated

#3 - 2018-07-30 12:59 - Pavel Rosický

#28934

#4 - 2018-07-31 08:20 - Marius BĂLTEANU

Pavel Rosický wrote:

#28934

 Yes, I thought that is duplicated of #28934, but I wanted to confirm first that is using the current trunk version.

#5 - 2018-12-01 10:28 - Go MAEDA

- Is duplicate of Patch #28934: Support migration context for plugins added
#6 - 2018-12-01 10:29 - Go MAEDA

- Category changed from Plugin Request to Plugin API

- Status changed from Needs feedback to Closed

- Assignee deleted (Enziin System)

- Resolution set to Fixed

This should have been fixed in #28934.
